MKSWAP(8)

NAZWA
mkswap - konfiguruje linuksowy obszar wymiany

SKŁADNIA
mkswap [opcje] urządzenie [rozmiar]

OPIS
mkswap konfiguruje linuksowy obszar wymiany na urządzeniu lub w pliku.

Argument urządzenie zwykle jest partycją dyskową (czymś w stylu /dev/sdb7), lecz może być również plikiem. Jądro Linux nie zważa na identyfikatory partycji, lecz wiele skryptów instalacyjnych zakłada, że partycje typu (szesnastkowo) 82 (LINUX_SWAP) są partycjami wymiany. (Uwaga: Solaris również używa tego typu. Proszę uważać, aby nie zniszczyć swoich partycji solarisowych.)

Parametr rozmiar jest niepotrzebny, lecz został zachowany w celu zgodności wstecznej. Określa on potrzebny rozmiar wymiany w blokach 1024-bajtowych. mkswap w przypadku pominięcia tego parametru używa całej partycji lub całego pliku. Podawanie tego parametru jest niemądre - literówka może zniszczyć dysk.

Po utworzeniu obszaru wymiany, konieczne jest użycie polecenia swapon, aby go aktywować. Obszary wymiany są zwykle uwzględniane w /etc/fstab, więc mogą być włączane do użytku podczas rozruchu poleceniem swapon -a w jakimś skrypcie startowym.

OSTRZEŻENIE
Nagłówek obszaru wymiany nie używa pierwszego bloku. Może znajdować się tam program rozruchowy lub etykieta partycji, ale nie jest to polecane ustawienie. Zalecaną konfiguracją linuksowej przestrzeni wymiany jest użycie oddzielnej partycji.

mkswap, podobnie jak wiele innych narzędzi mkfs usuwa pierwszy blok partycji aby ukryć istniejący wcześniej system plików.

mkswap odmówi jednak usunięcia pierwszego bloku urządzenia na urządzeniu z etykietą dysku (SUN, BSD, ... - nie mylić z etykietą partycji) i na całym dysku (np. /dev/sda).

OPCJE

-c, --check
    Sprawdza urządzenie (jeśli jest ono blokowe) w poszukiwaniu uszkodzonych bloków przed utworzeniem obszaru wymiany. Jeśli jakieś zostaną znalezione, to ich liczba zostanie wypisana.

-f, --force
    Wymusza działanie, nawet jeśli polecenie jest idiotyczne. Umożliwia to utworzenie obszaru wymiany większego niż plik lub partycja, na którym się ono znajduje.

    Poza tym, bez tej opcji mkswap odmówi usunięcia pierwszego bloku urządzenia na urządzeniu z etykietą dysku (SUN, BSD, ... - nie mylić z etykietą partycji) i na całym dysku (np. /dev/sda).

-L, --label etykieta
    Określa etykietę urządzenia, pozwalając wykonać swapon podając etykietę.

-p, --pagesize rozmiar
    Określa rozmiar (w bajtach) używanej strony. Podanie tej opcji jest zwykle niepotrzebne - mkswap odczyta odpowiedni rozmiar z jądra.

-U, --uuid UUID
    Podaje UUID do użycia. Domyślnie, UUID jest generowany.

-v, --swapversion 1
    Podaje wersję przestrzeni wymiany. Opcja ta jest obecnie bezużyteczna, jako że stara opcja -v 0 stała się przestarzała i obecnie obsługiwana jest wyłącznie -v 1. Jądro nie obsługuje przestrzeni wymiany w formacie v0 od wersji 2.5.22 (czerwiec 2002). Nowa wersja v1 jest obsługiwana od jądra 2.1.117 (sierpień 1998).

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i wychodzi.

UWAGI
Maksymalny, używalny rozmiar przestrzeni wymiany zależy od architektury i wersji jądra. Jest to około 2 GiB na i386, PPC, m68k i ARM; 1 GiB na sparc; 512 na mips, 128 GiB na alpha i 3 TiB na sparc64. Jądra od wersji 2.3.3 (maj 1999) nie posiadają takich ograniczeń.

Proszę zauważyć, że przed wersją 2.1.117 jądra, alokowało ono po jednym bajcie na każdą stronę, natomiast obecnie alokowane są dwa bajty. Oznacza to, że przestrzeń wymiany 2 GiB może wymagać 2 MiB pamięci jądra.

Aktualnie, Linux pozwala na 32 przestrzenie wymiany (8 przed Linuksem 2.4.10 (wrzesień 2001). Używane przestrzenie można zobaczyć w pliku /proc/swaps (od jądra 2.1.25 - sierpień 1997).

mkswap odmówi działania w przypadku przestrzeni wymiany mniejszych niż 10 stron.

Jeśli używany rozmiar strony jest nieznany, można go znaleźć za pomocą "cat /proc/cpuinfo" (lub nie - zawartość tego pliku zależy od architektury i wersji jądra).

Aby skonfigurować plik wymiany, konieczne jest utworzenie tego pliku przed zainicjowaniem przy użyciu mkswap, np. korzystając z polecenia w stylu

    # dd if=/dev/zero of=plikswap bs=1024 count=65536

Proszę zauważyć, że plik wymiany nie może zawierać żadnych dziur (więc użycie np. cp(1) do utworzenia go, nie jest możliwe).

ZOBACZ TAKŻE
fdisk(8), swapon(8)

DOSTĘPNOŚĆ
Polecenie mkswap jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.